package com.xjrsoft.module.classtime.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDate;



/**
* @title: 节假日调课设置
* @Author dzx
* @Date: 2024-09-26
* @Version 1.0
*/
@Data
public class AddClassTimeCalendarDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 补班日期
    */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty("补班日期")
    private LocalDate supplementDate;
    /**
    * 补课日期
    */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty("补课日期")
    private LocalDate replaceDate;

    /**
     * 补课课程 0:上1 1:上2 2:上3 3:上4 4:下1 5:下2 6:下3 7:下4 8:晚1 9:晚2 10:晚3
     * 多个用逗号隔开
     */
    @ApiModelProperty("补课课程")
    private  String timePeriod;

    /**
     * 覆盖方式 1:选中覆盖 0:全天覆盖
     */
    @ApiModelProperty("覆盖方式 1:选中覆盖 0:全天覆盖")
    private  Integer coverType;

}
