package com.xjrsoft.module.classtime.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDate;



/**
* @title: 课时删除
* @Author dzx
* @Date: 2024-09-26
* @Version 1.0
*/
@Data
public class AddClassTimeDeleteDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 删除类型(xjr_dictionary_item[class_time_delete])
    */
    @ApiModelProperty("删除类型(xjr_dictionary_item[class_time_delete])")
    private String type;
    /**
    * 类别(1:权重 2:费用设置)
    */
    @ApiModelProperty("班级id")
    private Long classId;
    /**
    * 删除说明
    */
    @ApiModelProperty("删除说明")
    private String remark;
    /**
    * 开始日期
    */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty("开始日期")
    private LocalDate startDate;
    /**
    * 结束日期
    */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty("结束日期")
    private LocalDate endDate;

    /**
     * 删除课程 0:上1 1:上2 2:上3 3:上4 4:下1 5:下2 6:下3 7:下4 8:晚1 9:晚2 10:晚3
     * 多个用逗号隔开
     */
    @ApiModelProperty("删除课程")
    private  String timePeriod;

}
