package com.xjrsoft.module.classtime.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDate;



/**
* @title: 课时统计
* @Author dzx
* @Date: 2024-09-26
* @Version 1.0
*/
@Data
public class AddClassTimeStatisticsDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 统计年份
    */
    @ApiModelProperty("统计年份")
    private Integer year;
    /**
    * 统计月份
    */
    @ApiModelProperty("统计月份")
    private Integer month;
    /**
    * 开始日期
    */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty("开始日期")
    private LocalDate startDate;
    /**
    * 结束日期
    */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty("结束日期")
    private LocalDate endDate;

}
