package com.xjrsoft.module.classtime.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 课时删除分页列表出参
* @Author dzx
* @Date: 2024-09-26
* @Version 1.0
*/
@Data
public class ClassTimeDeletePageVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private String id;
    /**
    * 创建人
    */
    @ApiModelProperty("操作人")
    private String operationUserName;
    /**
    * 创建时间
    */
    @ApiModelProperty("操作时间")
    private Date operationDate;

    @ApiModelProperty("删除类型(xjr_dictionary_item[class_time_delete])")
    private String type;

    @ApiModelProperty("删除类型-中文")
    private String typeCn;
    /**
    * 类别(1:权重 2:费用设置)
    */
    @ApiModelProperty("班级名称")
    private String className;
    /**
    * 删除说明
    */
    @ApiModelProperty("删除说明")
    private String remark;
    /**
    * 开始日期
    */
    @ApiModelProperty("开始日期")
    private Date startDate;
    /**
    * 结束日期
    */
    @ApiModelProperty("结束日期")
    private Date endDate;

    @ApiModelProperty("状态(0:生效 1:锁定 2:作废)")
    private Integer status;
    /**
     * 删除课程 0:上1 1:上2 2:上3 3:上4 4:下1 5:下2 6:下3 7:下4 8:晚1 9:晚2 10:晚3
     * 多个用逗号隔开
     */
    @ApiModelProperty("删除课程")
    private  String timePeriod;

}
